
#ifndef OSD_CPU_H
#define OSD_CPU_H

#include <stdio.h>		/* Global */
#include <malloc.h>
#include <math.h>

#include <kallisti/stdtypes.h>
#include <kallisti/libk.h>

#include <kallisti/abi/fs.h>
#include <kallisti/abi/thread.h>
#include <kallisti/abi/ta.h>
#include <kallisti/abi/maple.h>
#include <kallisti/abi/process.h>
#include <kallisti/abi/video.h>
#include <kallisti/abi/spu.h>

extern abi_fs_t *fs;
extern abi_thread_t *thd;
extern abi_ta_t *ta;
extern abi_maple_t *maple;
extern abi_process_t *proc;
extern abi_video_t *vid;
extern abi_spu_t *spu;

typedef unsigned char						UINT8;
typedef unsigned short						UINT16;
typedef unsigned int						UINT32;

typedef signed char 						INT8;
typedef signed short						INT16;
typedef signed int							INT32;

typedef union {
#ifdef LSB_FIRST
	struct { UINT8 l,h,h2,h3; } b;
	struct { UINT16 l,h; } w;
#else
	struct { UINT8 h3,h2,h,l; } b;
	struct { UINT16 h,l; } w;
#endif
	UINT32 d;
}	PAIR;

#endif	/* defined OSD_CPU_H */
