/*
 * xkeymap.c
 *
 * Mappings from X keycode to local key codes.
 */

#include <kallisti/keyboard.h>
#include "input.h"

int keymap[][2] =
{
        { KBD_MOD_LSHIFT, K_SHIFT },
        { KBD_MOD_RSHIFT, K_SHIFT },
        { KBD_MOD_LCTRL, K_CTRL },
        { KBD_MOD_RCTRL, K_CTRL },
        { KBD_MOD_LALT, K_ALT },
        { KBD_MOD_RALT, K_ALT },
        { NULL, K_ALT },
        { NULL, K_ALT },
	
        { KBD_KEY_UP, K_UP },
        { KBD_KEY_DOWN, K_DOWN },
        { KBD_KEY_RIGHT, K_RIGHT },
        { KBD_KEY_LEFT, K_LEFT },
        { KBD_KEY_ENTER, K_ENTER },
        { KBD_KEY_TAB, K_TAB },
        { KBD_KEY_BACKSPACE, K_BS },
        { KBD_KEY_DEL, K_DEL },    /* FIXME - is this right? */
        { KBD_KEY_INSERT, K_INS },
        { KBD_KEY_HOME, K_HOME },
        { KBD_KEY_END, K_END },
        { NULL, K_PRIOR },
        { NULL, K_NEXT },
        { KBD_KEY_ESCAPE, K_ESC },
        { KBD_KEY_PAUSE, K_PAUSE },
        { KBD_KEY_CAPSLOCK, K_CAPS },
        { NULL, K_NUMLOCK },
        { KBD_KEY_SCRLOCK, K_SCROLL },
	
        { KBD_KEY_MINUS, K_MINUS },
        { NULL, K_EQUALS },
        { KBD_KEY_TILDE, K_TILDE },
	
        { KBD_KEY_F1, K_F1 },
        { KBD_KEY_F2, K_F2 },
        { KBD_KEY_F3, K_F3 },
        { KBD_KEY_F4, K_F4 },
        { KBD_KEY_F5, K_F5 },
        { KBD_KEY_F6, K_F6 },
        { KBD_KEY_F7, K_F7 },
        { KBD_KEY_F8, K_F8 },
        { KBD_KEY_F9, K_F9 },
        { KBD_KEY_F10, K_F10 },
        { KBD_KEY_F11, K_F11 },
        { KBD_KEY_F12, K_F12 },
	
        { KBD_KEY_PAD_0, K_NUM0 },
        { KBD_KEY_PAD_1, K_NUM1 },
        { KBD_KEY_PAD_2, K_NUM2 },
        { KBD_KEY_PAD_3, K_NUM3 },
        { KBD_KEY_PAD_4, K_NUM4 },
        { KBD_KEY_PAD_5, K_NUM5 },  /* FIXME - ??? */
        { KBD_KEY_PAD_6, K_NUM6 },
        { KBD_KEY_PAD_7, K_NUM7 },
        { KBD_KEY_PAD_8, K_NUM8 },
        { KBD_KEY_PAD_9, K_NUM9 },
        { KBD_KEY_PAD_0, K_NUM0 },
        { KBD_KEY_PAD_1, K_NUM1 },
        { KBD_KEY_PAD_2, K_NUM2 },
        { KBD_KEY_PAD_3, K_NUM3 },
        { KBD_KEY_PAD_4, K_NUM4 },
        { KBD_KEY_PAD_5, K_NUM5 },
        { KBD_KEY_PAD_6, K_NUM6 },
        { KBD_KEY_PAD_7, K_NUM7 },
        { KBD_KEY_PAD_8, K_NUM8 },
        { KBD_KEY_PAD_9, K_NUM9 },
        { KBD_KEY_PAD_PLUS, K_NUMPLUS },
        { KBD_KEY_PAD_MINUS, K_NUMMINUS },
        { KBD_KEY_PAD_MULTIPLY, K_NUMMUL },
        { KBD_KEY_PAD_DIVIDE, K_NUMDIV },
        { KBD_KEY_PAD_PERIOD, K_NUMDOT },
        { KBD_KEY_PAD_PERIOD, K_NUMDOT },
        { KBD_KEY_PAD_ENTER, K_NUMENTER },

	{ 0, 0 }
};









